# Loki::LongevityLifetime::DieFirst< T > Struct Template Reference
[LongevityLifetime]

Shortest possible SingletonWithLongevity lifetime: 0. More...

`#include <Singleton.h>`

Inheritance diagram for Loki::LongevityLifetime::DieFirst< T >:
[legend]
Collaboration diagram for Loki::LongevityLifetime::DieFirst< T >:
[legend]

List of all members.

## Detailed Description

### template<class T>
struct Loki::LongevityLifetime::DieFirst< T >

Shortest possible SingletonWithLongevity lifetime: 0.

The documentation for this struct was generated from the following file:

- Singleton.h